# Uses of Interface
org.eclipse.core.expressions.IEvaluationContext

Packages that use IEvaluationContext
Package
Description
org.eclipse.core.expressions
Application programming interfaces for the expression language.
org.eclipse.e4.core.commands
org.eclipse.help
Provides core help system for the platform.
org.eclipse.help.internal
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.
org.eclipse.ui.handlers
Provides support for integrating handlers into the Eclipse workbench.
org.eclipse.ui.menus
Provides the public API and default implementation for contributing menu and toolbars to the menu service.
org.eclipse.ui.services
Classes for service support.

## Uses of IEvaluationContext in org.eclipse.core.expressions

Classes in org.eclipse.core.expressions that implement IEvaluationContext
Modifier and Type
Class
Description
`class`
`EvaluationContext`
A default implementation of an evaluation context.
Methods in org.eclipse.core.expressions that return IEvaluationContext
Modifier and Type
Method
Description
`IEvaluationContext`
EvaluationContext.`getParent()`
`IEvaluationContext`
IEvaluationContext.`getParent()`
Returns the parent context or `null` if this is the root of the evaluation context hierarchy.
`IEvaluationContext`
EvaluationContext.`getRoot()`
`IEvaluationContext`
IEvaluationContext.`getRoot()`
Returns the root evaluation context.
Methods in org.eclipse.core.expressions with parameters of type IEvaluationContext
Modifier and Type
Method
Description
`EvaluationResult`
AndExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
CountExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
EqualsExpression.`evaluate(IEvaluationContext context)`
`abstract EvaluationResult`
Expression.`evaluate(IEvaluationContext context)`
Evaluates this expression.
`EvaluationResult`
OrExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
ReferenceExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
TestExpression.`evaluate(IEvaluationContext context)`
`EvaluationResult`
WithExpression.`evaluate(IEvaluationContext context)`
`protected EvaluationResult`
CompositeExpression.`evaluateAnd(IEvaluationContext scope)`
`protected EvaluationResult`
CompositeExpression.`evaluateOr(IEvaluationContext scope)`
Constructors in org.eclipse.core.expressions with parameters of type IEvaluationContext
Modifier
Constructor
Description
``
`EvaluationContext(IEvaluationContext parent, Object defaultVariable)`
Create a new evaluation context with the given parent and default variable.
``
`EvaluationContext(IEvaluationContext parent, Object defaultVariable, IVariableResolver[] resolvers)`
Create a new evaluation context with the given parent and default variable.

## Uses of IEvaluationContext in org.eclipse.e4.core.commands

Classes in org.eclipse.e4.core.commands that implement IEvaluationContext
Modifier and Type
Class
Description
`class`
`ExpressionContext`
Methods in org.eclipse.e4.core.commands that return IEvaluationContext
Modifier and Type
Method
Description
`IEvaluationContext`
ExpressionContext.`getParent()`
`IEvaluationContext`
ExpressionContext.`getRoot()`

## Uses of IEvaluationContext in org.eclipse.help

Methods in org.eclipse.help with parameters of type IEvaluationContext
Modifier and Type
Method
Description
`boolean`
IUAElement.`isEnabled(IEvaluationContext context)`
Returns whether or not this element should be enabled in the given context.
`static boolean`
UAContentFilter.`isFiltered(Object element, IEvaluationContext context)`
Returns whether or not the given object should be filtered out.

## Uses of IEvaluationContext in org.eclipse.help.internal

Methods in org.eclipse.help.internal with parameters of type IEvaluationContext
Modifier and Type
Method
Description
`boolean`
UAElement.`isEnabled(IEvaluationContext context)`

## Uses of IEvaluationContext in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IEvaluationContext
Modifier and Type
Method
Description
`EvaluationResult`
ActiveShellExpression.`evaluate(IEvaluationContext context)`
Evaluates this expression.
`EvaluationResult`
LegacyHandlerSubmissionExpression.`evaluate(IEvaluationContext context)`
Evaluates this expression.

## Uses of IEvaluationContext in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts with parameters of type IEvaluationContext
Modifier and Type
Method
Description
`boolean`
IContextActivation.`isActive(IEvaluationContext context)`
Deprecated.
Use `IEvaluationResultCache.evaluate(IEvaluationContext)` instead.

## Uses of IEvaluationContext in org.eclipse.ui.handlers

Methods in org.eclipse.ui.handlers that return IEvaluationContext
Modifier and Type
Method
Description
`IEvaluationContext`
IHandlerService.`createContextSnapshot(boolean includeSelection)`
This method creates a copy of the application context returned by `IHandlerService.getCurrentState()`.
`IEvaluationContext`
IHandlerService.`getCurrentState()`
Returns an evaluation context representing the current state of the world.
Methods in org.eclipse.ui.handlers with parameters of type IEvaluationContext
Modifier and Type
Method
Description
`Object`
IHandlerService.`executeCommandInContext(ParameterizedCommand command, Event event, IEvaluationContext context)`
Executes the given parameterized command in the provided context.
`boolean`
IHandlerActivation.`isActive(IEvaluationContext context)`
Deprecated.
Use `IEvaluationResultCache.evaluate(IEvaluationContext)` instead.

## Uses of IEvaluationContext in org.eclipse.ui.menus

Methods in org.eclipse.ui.menus that return IEvaluationContext
Modifier and Type
Method
Description
`IEvaluationContext`
IMenuService.`getCurrentState()`
Get the current state of eclipse as seen by the menu service.

## Uses of IEvaluationContext in org.eclipse.ui.services

Methods in org.eclipse.ui.services that return IEvaluationContext
Modifier and Type
Method
Description
`IEvaluationContext`
IEvaluationService.`getCurrentState()`
Get an IEvaluationContext that contains the current state of the workbench application context.